/*** General Health Care Utilization Over Time ***/
use "$intermediate/adhd_cells_countygrade", clear
collapse well* eval* [w=cellsize], by(cohort monthnum)

tw (connect well_child_visit month if cohort==1, ms(square) mcolor(black) lpattern(solid) lcolor(black)) (connect well_child_visit month if cohort==2 , ms(square_hollow) mcolor(black) lpattern(dash) lcolor(black)) ///
(connect eval_rate month if cohort==1 , ms(circle) mcolor(black) lpattern(solid) lcolor(black)) (connect eval_rate month if cohort==2 , ms(circle_hollow) mcolor(black) lpattern(dash) lcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort Child General Exam" 2 "Exposed Cohort Child General Exam" 3  "Unexposed Cohort Adult General Exam" 4 "Exposed Cohort Adult General Exam")) ///
ytitle("") xtitle("Month") xlabel(7(1)25, val angle(45)) xline(14) title("") subtitle("Visit Rate", position(11) span)

graph export "$output/figureB6b.eps", as(eps) replace 

