
use "$intermediate/adhd_cells_countygrade", clear


capture est drop _all

capture program drop did
**************
program define did
**************  
syntax , title(string) depvar(varlist)  [weight(string)] g(string)
*Overall DID
ppmlhdfe `depvar' i.cohort2Xpost well_child_visit_cum eval_rate_cum  white black hispanic asian medicaid private [w=cellsize], absorb(i.monthnum i.cohort2 i.county_fips i.grade) cluster(countycohort)
est store est1`g'u, title(`g')

nlcom (Pandemic: exp(_b[1.cohort2Xpost])-1), post
est store est1`g't, title(`g')

*By school openness
ppmlhdfe `depvar'  i.cohort2Xpost##i.open_group well_child_visit_cum eval_rate_cum  white black hispanic asian medicaid private [w=cellsize], absorb(i.monthnum#i.open_group i.cohort2#i.open_group i.county_fips i.grade) cluster(countycohort)
est store est3`g'u, title(`g')

nlcom (LowOpening: exp(_b[1.cohort2Xpost])-1) (MediumOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#2.open_group])-1) (HighOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#3.open_group])-1), post
est store est3`g't, title(`g')

**************
end
**************	


preserve
keep if male == 1 
did, title("Elementary School Boys") depvar(adhd_new_cum)  weight([w=cellsize]) g("boys") 
restore 

preserve
keep if male == 0 
did, title("Elementary School Boys") depvar(adhd_new_cum) weight([w=cellsize]) g("girls")
restore 


esttab est1boysu est3boysu est1girlsu est3girlsu ///
using "$output/table5.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(well_child_visit_cum eval_rate_cum _cons white black hispanic  medicaid private) mtitles label booktabs replace 

     
esttab est1boyst est3boyst est1girlst est3girlst ///
using "$output/table5_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase mtitles label booktabs  replace 
