
use "$intermediate/adhd_cells_countygrade", clear


capture est drop _all

capture program drop did
**************
program define did
**************  
syntax , title(string) depvar(varlist) spec(string) [weight(string)] g(string) 
*Overall DID
sum `depvar' if post == 1 & cohort2 == 0
scalar overall = r(mean)
ppmlhdfe `depvar' i.cohort2Xpost well_child_visit_cum eval_rate_cum  white black hispanic asian medicaid private [w=cellsize], absorb(i.monthnum i.cohort2 i.county_fips i.grade) cluster(countycohort)

est store est1`g'u, title(`g')

nlcom (Pandemic: exp(_b[1.cohort2Xpost])-1), post
est store est1`g't, title(`g')

**************
end
**************	

foreach num of numlist 0/5 {
preserve
keep if grade == `num' & male == 1 
did, title("Elementary School Boys") depvar(adhd_new_cum) spec(ppml) weight([w=cellsize]) g("boys`num'") 
restore 

preserve
keep if grade == `num' & male == 0 
did, title("Elementary School Boys") depvar(adhd_new_cum) spec(ppml) weight([w=cellsize]) g("girls`num'") 
restore 

}

esttab est1boys0u est1boys1u est1boys2u est1boys3u est1boys4u est1boys5u using "$output/tableB6.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(_cons well_child_visit_cum eval_rate_cum white black hispanic  medicaid private) mtitles label booktabs replace 

esttab est1girls0u est1girls1u est1girls2u est1girls3u est1girls4u est1girls5u using "$output/tableB6.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(_cons well_child_visit_cum eval_rate_cum white black hispanic  medicaid private) mtitles label booktabs append 


esttab est1boys0t est1boys1t est1boys2t est1boys3t est1boys4t est1boys5t  using "$output/tableB6_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase  mtitles label booktabs replace 

esttab est1girls0t est1girls1t est1girls2t est1girls3t est1girls4t est1girls5t  using "$output/tableB6_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase  mtitles label booktabs append 
