
*Flow of Prescriptoins and Therapy Visits, no diagnosis during lookback 

use "$intermediate/adhd_individual", clear
keep if anyadhd_lb==0

collapse adhd_new_first rx therapy therapy_adhd, by(cohort monthnum male)

/*Boys*/
*Flow of diagnoses
tw (connect adhd_new_first month if cohort==1 & male==1,  ms(square) mcolor(black)) (connect adhd_new_first month if cohort==2 & male==1, ms(square_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort" 2 "Exposed Cohort") rows(1)) ///
ytitle("") xtitle("Month") xlabel(7(3)25, val angle(45) nogrid) xline(14) title("") subtitle("New ADHD Diagnoses", position(11) span)

graph rename g1, replace

*Prescriptions
tw (connect rx month if cohort==1 & male==1,  ms(square) mcolor(black)) (connect rx month if cohort==2 & male==1, ms(square_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort" 2 "Exposed Cohort") rows(1)) ///
ytitle("") xtitle("Month") xlabel(7(3)25, val angle(45) nogrid) xline(14) title("") subtitle("Prescriptions", position(11) span)

graph rename g2, replace

*ADHD Behavioral Therapy
tw (connect therapy_adhd month if cohort==1 & male==1,  ms(square) mcolor(black)) (connect therapy_adhd month if cohort==2 & male==1, ms(square_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort" 2 "Exposed Cohort") rows(1)) ///
ytitle("") xtitle("Month") xlabel(7(3)25, val angle(45) nogrid) xline(14) title("") subtitle("ADHD Behavioral Therapy", position(11) span)
graph rename g3, replace  

*Any Behavioral Therapy
tw (connect therapy month if cohort==1 & male==1,  ms(square) mcolor(black)) (connect therapy month if cohort==2 & male==1, ms(square_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort" 2 "Exposed Cohort") rows(1)) ///
ytitle("") xtitle("Month") xlabel(7(3)25, val angle(45) nogrid) xline(14) title("") subtitle("Behavioral Therapy", position(11) span)
graph rename g4, replace

grc1leg g1 g2 g3 g4, rows(1)

graph rename combined, replace

graph display combined, ysize(5) xsize(15)

graph export "$output/figure10a.eps", as(eps) replace 


/*Girls*/
*Flow of diagnoses
tw (connect adhd_new_first month if cohort==1 & male==0,  ms(square) mcolor(black)) (connect adhd_new_first month if cohort==2 & male==0, ms(square_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort" 2 "Exposed Cohort") rows(1)) ///
ytitle("") xtitle("Month") xlabel(7(3)25, val angle(45) nogrid) xline(14) title("") subtitle("New ADHD Diagnoses", position(11) span)

graph rename g1, replace

*Prescriptions
tw (connect rx month if cohort==1 & male==0,  ms(square) mcolor(black)) (connect rx month if cohort==2 & male==0, ms(square_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort" 2 "Exposed Cohort") rows(1)) ///
ytitle("") xtitle("Month") xlabel(7(3)25, val angle(45) nogrid) xline(14) title("") subtitle("Prescriptions", position(11) span)

graph rename g2, replace

*ADHD Behavioral Therapy
tw (connect therapy_adhd month if cohort==1 & male==0,  ms(square) mcolor(black)) (connect therapy_adhd month if cohort==2 & male==0, ms(square_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort" 2 "Exposed Cohort") rows(1)) ///
ytitle("") xtitle("Month") xlabel(7(3)25, val angle(45) nogrid) xline(14) title("") subtitle("ADHD Behavioral Therapy", position(11) span)
graph rename g3, replace  

*Any Behavioral Therapy
tw (connect therapy month if cohort==1 & male==0,  ms(square) mcolor(black)) (connect therapy month if cohort==2 & male==0, ms(square_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort" 2 "Exposed Cohort") rows(1)) ///
ytitle("") xtitle("Month") xlabel(7(3)25, val angle(45) nogrid) xline(14) title("") subtitle("Behavioral Therapy", position(11) span)
graph rename g4, replace

grc1leg g1 g2 g3 g4, rows(1)

graph rename combined, replace

graph display combined, ysize(5) xsize(15)

graph export "$output/figure10b.eps", as(eps) replace 
