
use "$intermediate/adhd_cells", clear
keep if anyadhd_lb==0
collapse adhd_new_cum [w=cellsize], by(cohort monthnum male)

*Cumulative New Diagnoses by cohort and sex
tw (scatter adhd_new_cum month if cohort==1 & male==1, ms(square) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==1, ms(square_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==0, ms(circle) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==0, ms(circle_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort Boys" 2 "Exposed Cohort Boys" 3  "Unexposed Cohort Girls" 4 "Exposed Cohort Girls")) ///
ytitle("") xtitle("Month") xlabel(7(1)25, val angle(45)) xline(14) title("") subtitle("Cumulative New Diagnosis Rate", position(11) span)

graph export "$output/figure3a.eps", as(eps) replace 
	
