/***Cumulative New Diagnoses by cohort and sex and Race***/
 use "$intermediate/adhd_individual", clear
 keep if anyadhd_lb==0
 drop if race_cat == 0
 collapse adhd_new_cum, by(cohort monthnum male race_cat)


tw (scatter adhd_new_cum month if cohort==1 & male==1 & race_cat == 4, ms(circle) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==1 & race_cat==4,  ms(circle_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==1 & race_cat == 2, ms(triangle) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==1 & race_cat==2, ms(triangle_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==1 & race_cat == 3, ms(square) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==1 & race_cat==3, ms(square_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==1 & race_cat == 1, ms(diamond) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==1 & race_cat==1, ms(diamond_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort White" 2 "Exposed Cohort White" 3  "Unexposed Cohort Black" 4 "Exposed Cohort Black" 5  "Unexposed Cohort Hispanic" 6 "Exposed Cohort Hispanic" 7  "Unexposed Cohort Asian" 8 "Exposed Cohort Asian")) ///
ytitle("") xtitle("Month") xlabel(7(1)25, val angle(45)) xline(14) title("") subtitle("Cumulative New Diagnosis Rate", position(11) span)

graph export "$output/figureB4a.eps", as(eps) replace 


tw (scatter adhd_new_cum month if cohort==1 & male==0 & race_cat == 4, ms(circle) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==0 & race_cat==4,  ms(circle_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==0 & race_cat == 2, ms(triangle) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==0 & race_cat==2, ms(triangle_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==0 & race_cat == 3, ms(square) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==0 & race_cat==3, ms(square_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==0 & race_cat == 1, ms(diamond) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==0 & race_cat==1, ms(diamond_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort White" 2 "Exposed Cohort White" 3  "Unexposed Cohort Black" 4 "Exposed Cohort Black" 5  "Unexposed Cohort Hispanic" 6 "Exposed Cohort Hispanic" 7  "Unexposed Cohort Asian" 8 "Exposed Cohort Asian")) ///
ytitle("") xtitle("Month") xlabel(7(1)25, val angle(45)) xline(14) title("") subtitle("Cumulative New Diagnosis Rate", position(11) span)

graph export "$output/figureB4b.eps", as(eps) replace 
