/****Cumulative New Diagnoses by cohort and sex and Closing Group****/
use "$intermediate/adhd_cells", clear
keep if anyadhd_lb==0
collapse adhd_new_cum [w=cellsize], by(cohort monthnum male open_group)

*boys
tw (scatter adhd_new_cum month if cohort==1 & male==1 & open_group==1, ms(circle) mcolor(black)) ///
 (scatter adhd_new_cum month if cohort==2 & male==1 & open_group==1, ms(circle_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==1 & open_group == 2, ms(diamond) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==1 & open_group==2, ms(diamond_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==1 & open_group == 3, ms(triangle) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==1 & open_group==3, ms(triangle_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort Low Opening" 2 "Exposed Cohort Low Opening" 3  "Unexposed Cohort Medium Opening" 4 "Exposed Cohort Medium Opening" 5  "Unexposed Cohort High Opening" 6 "Exposed Cohort High Opening" 7 )) ///
ytitle("") xtitle("Month") xlabel(7(1)25, val angle(45)) xline(14) title("") subtitle("Cumulative New Diagnosis Rate", position(11) span)

graph export "$output/figureB5a.eps", as(eps) replace 

*girls
tw (scatter adhd_new_cum month if cohort==1 & male==0 & open_group==1, ms(circle) mcolor(black)) ///
 (scatter adhd_new_cum month if cohort==2 & male==0 & open_group==1, ms(circle_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==0 & open_group == 2, ms(diamond) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==0 & open_group==2, ms(diamond_hollow) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==1 & male==0 & open_group == 3, ms(triangle) mcolor(black)) ///
(scatter adhd_new_cum month if cohort==2 & male==0 & open_group==3, ms(triangle_hollow) mcolor(black)) ///
if monthnum>6, ///
legend(order(1 "Unexposed Cohort Low Opening" 2 "Exposed Cohort Low Opening" 3  "Unexposed Cohort Medium Opening" 4 "Exposed Cohort Medium Opening" 5  "Unexposed Cohort High Opening" 6 "Exposed Cohort High Opening" 7 )) ///
ytitle("") xtitle("Month") xlabel(7(1)25, val angle(45)) xline(14) title("") subtitle("Cumulative New Diagnosis Rate", position(11) span)

graph export "$output/figureB5b.eps", as(eps) replace 
