/*** DID results for cumulative new prescriptions ***/
use "$intermediate/rx_cells", clear
*drop lookback period
keep if lookback==0
*keep only ADHD naive (based on Rx)
keep if anyrx_lb==0


capture est drop _all

capture program drop did
**************
program define did
**************  
syntax , title(string) depvar(varlist) [weight(string)] g(string) t(varlist)
*Overall DID
ppmlhdfe `depvar' i.cohort2Xpost well_child_visit_cum eval_rate_cum  `weight', absorb(i.monthnum i.cohort2 i.statenum i.grade i.race_cat) cluster(statecohort) 
est store est1`g'u, title(`t')

nlcom (Pandemic: exp(_b[1.cohort2Xpost])-1), post
est store est1`g't, title(`t')

*By school openness
ppmlhdfe `depvar'  i.cohort2Xpost##i.open_group well_child_visit_cum eval_rate_cum  `weight', absorb(i.monthnum#i.open_group i.cohort2#i.open_group i.statenum i.grade i.race_cat) cluster(statecohort) 
est store est3`g'u, title(`t')

nlcom (LowOpening: exp(_b[1.cohort2Xpost])-1) (MediumOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#2.open_group])-1) (HighOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#3.open_group])-1), post
est store est3`g't, title(`t')


**************
end
**************	

local i=1
foreach var of varlist rx_new_cum {
preserve
keep if male == 1 
did, title("Elementary School Boys") depvar(`var') weight([w=cellsize]) g("b`i'") t(`var')
restore 

preserve
keep if male == 0 
did, title("Elementary School Boys") depvar(`var') weight([w=cellsize]) g("g`i'") t(`var')
restore 
local ++i
}



esttab est1b1u est3b1u est1g1u est3g1u ///
using "$output/tableB2.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(well_child_visit_cum eval_rate_cum _cons) mtitles label booktabs replace 



esttab est1b1t est3b1t  est1g1t est3g1t ///
using "$output/tableB2_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase mtitles label booktabs  replace 


