/*** DID by type of ADHD diangosis - Type is based on type recorded at first diagnosis ***/
use "$intermediate/adhd_cells", clear
*drop lookback period
keep if lookback==0
*keep only ADHD naive
keep if anyadhd_lb==0


capture est drop _all

tabstat adhd_new_cum inat_first_cum anyhyper_first_cum other_first_cum [w=cellsize] if post == 1 & cohort == 2, by(male)

capture program drop did
**************
program define did
**************  
syntax , title(string) depvar(varlist) [weight(string)] g(string) t(varlist)
*Overall DID
ppmlhdfe `depvar' i.cohort2Xpost well_child_visit_cum eval_rate_cum  `weight', absorb(i.monthnum i.cohort2 i.statenum i.grade i.race_cat) cluster(statecohort) 
est store est1`g'u, title(`t')

nlcom (Pandemic: exp(_b[1.cohort2Xpost])-1), post
est store est1`g't, title(`t')


*By school openness
ppmlhdfe `depvar'  i.cohort2Xpost##i.open_group well_child_visit_cum eval_rate_cum  `weight', absorb(i.monthnum#i.open_group i.cohort2#i.open_group i.statenum i.grade i.race_cat) cluster(statecohort) 
est store est3`g'u, title(`t')

nlcom (LowOpening: exp(_b[1.cohort2Xpost])-1) (MediumOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#2.open_group])-1) (HighOpening: exp(_b[1.cohort2Xpost] + _b[1.cohort2Xpost#3.open_group])-1), post
est store est3`g't, title(`t')

**************
end
**************	

local i=1
foreach var of varlist inat_first_cum anyhyper_first_cum other_first_cum {
preserve
keep if male == 1 
did, title("Elementary School Boys") depvar(`var') weight([w=cellsize]) g("b`i'") t(`var')
restore 

preserve
keep if male == 0 
did, title("Elementary School Boys") depvar(`var') weight([w=cellsize]) g("g`i'") t(`var')
restore 
local ++i
}


esttab est1b1u est3b1u est1b2u est3b2u est1b3u est3b3u  ///
using "$output/tableB7.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(well_child_visit_cum eval_rate_cum _cons) mtitles label booktabs replace 

esttab est1b1t est3b1t est1b2t est3b2t est1b3t est3b3t ///
using "$output/tableB7_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase mtitles label booktabs  replace 

esttab est1g1u est3g1u est1g2u est3g2u est1g3u est3g3u  ///
using "$output/tableB8.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase drop(well_child_visit_cum eval_rate_cum _cons) mtitles label booktabs replace 

esttab est1g1t est3g1t est1g2t est3g2t est1g3t est3g3t ///
using "$output/tableB8_transformed.tex", se star(* 0.10 ** 0.05 *** .01)  interaction(" X ") noomitted nobase mtitles label booktabs  replace 



